.. _vim.vm.DiskDeviceInfo: ../../vim/vm/DiskDeviceInfo.rst

.. _vim.vm.IdeDiskDeviceInfo.PartitionInfo: ../../vim/vm/IdeDiskDeviceInfo/PartitionInfo.rst


vim.vm.IdeDiskDeviceInfo
========================
  The IdeDiskDeviceInfo class contains detailed information about a specific IDE disk hardware device. These devices are for the vim.vm.device.VirtualDisk.RawDiskVer2BackingInfo and vim.vm.device.VirtualDisk.PartitionedRawDiskVer2BackingInfo backings.
:extends: vim.vm.DiskDeviceInfo_

Attributes:
    partitionTable ([`vim.vm.IdeDiskDeviceInfo.PartitionInfo`_], optional):

